from use_cases import ViewProduct
from tests.mocks import ProductDatabase
import unittest


class TestViewProduct(unittest.TestCase):
    def setUp(self):
        self.product_database = ProductDatabase()
        self.view_product_use_case = ViewProduct(self.product_database)

    def test_view_product_valid_id(self):
        result = self.view_product_use_case.execute(1)
        self.assertIsNotNone(result)
        #self.assertEqual(result['id'], 1)



if __name__ == "__main__":
    unittest.main()